Type to search.

Bulk create workflows

Base URL
https://{kibana_url}
  • POST /api/workflows
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Create multiple workflows in a single request. Optionally overwrite existing workflows.

Required privileges

Privileges workflowsManagement:create and workflowsManagement:update

Query parameters

overwrite boolean · default: false

Whether to overwrite existing workflows.

dryRun boolean · default: false

When true, performs a preflight conflict check only. Returns the subset of the supplied workflow IDs that already exist (including soft-deleted tombstones and cross-space documents) without writing anything. The response body is { existingIds: string[] } instead of the normal { created, failed } shape.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

workflows object[] · max items: 500 required
id string · min length: 3 · max length: 255 · pattern: ^[a-z0-9]([a-z0-9-]*[a-z0-9])?$
yaml string · max length: 1048576 required

Response

200

Indicates a successful response

application/json